import {httpApi} from "../../request/httpApi";

export default {
    //获取当前合同段的划分树
    async queryWbsTreeData(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/queryContractWbsTreeByContractIdAndType',
            method: 'get',
            params: form
        });
    },
    //根据合同段ID获取所有填报人
    async getFileUser(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/getFileUserByContractId',
            method: 'get',
            params: form
        })
    },
    //获取当前合同段下所有的上报批次
    async getReportNumber(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/getReportNumberByContractId',
            method: 'get',
            params: form
        })
    },
    //获取流程状态分类和文件类型分类
    async getDictBizClassify(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/getDictBizClassifyByCode',
            method: 'get',
            params: form
        })
    },
    //分页数据
    async getPageData(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/page',
            method: 'post',
            data: form
        })
    },
    //批量废除
    async batchAbolish(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/batchAbolish',
            method: 'post',
            params: form
        })
    },
    //批量下载
    async batchDownloadFileToZip(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/batchDownloadFileToZip',
            method: 'post',
            params: form,
            responseType: 'blob'
        })
    },
    //批量打印
    async batchPrint(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/batchPrint',
            method: 'post',
            params: form
        })
    },
    //本地验签
    async localVerify(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/localVerify',
            method: 'post',
            params: form
        })
    },
    //在线验签
    async onlineVerify(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/onlineVerify',
            method: 'post',
            params: form
        })
    },
    //输入框查询合同段树
    async searchContractTree(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/searchContractTree',
            method: 'get',
            params: form
        })
    },
    //获取流程状态
    async getFirstTaskStatus(form) {
        return httpApi({
            url: '/api/blade-business/task/query-task-type-status?typeOrStatus=first_task_status',
            method: 'get',
            params: form
        })
    },
}
