import {httpApi} from "../../request/httpApi";

export default {
    //新增或删除 合同段划分树首件关联
    async wbsTreeFirstSave(form) {
        return httpApi({
            url: '/api/blade-business/treeContractFirst/saveOrDelete',
            method: 'post',
            params: form
        });
    },
    //修改树节点
    async wbsTreeUpdateNode(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/updateContractNodeParameter',
            method: 'post',
            params: form
        });
    },
    //导图结构树节点查询
    async queryMappingStructureTree(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/queryMappingStructureTree',
            method: 'get',
            params: form
        });
    },
    //保存或修改节点上传的图纸记录
    async saveContractTreeDrawings(form) {
        return httpApi({
            url: '/api/blade-business/contractTreeDrawings/saveContractTreeDrawings',
            method: 'post',
            params: form
        });
    },
    //删除节点
    async removeContractTreeNode(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/removeContractTreeNode',
            method: 'post',
            params: form
        });
    },
    //查询当前节点下所有元素表信息
    async searchNodeAllTable(form) {
        return httpApi({
            url: '/api/blade-manager/wbsTreeContract/searchNodeAllTable',
            method: 'get',
            params: form
        });
    },
    //清表生成html
    async getExcelHtml(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-excel-html_buss',
            method: 'get',
            params: form
        });
    },
    //填报页面数据保存
    async saveExcelBussData(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/save_buss_data',
            method: 'post',
            data: form
        });
    },
    //懒加载项目级工程划分树
    async queryWbsTreePrivateByProjectIdAndId(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/queryWbsTreePrivateByProjectIdAndId',
            method: 'post',
            params: form
        });
    },
    //新增节点及其子节点
    async saveContractTreeNode(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/saveContractTreeNode',
            method: 'post',
            data: form
        });
    },
    //复制节点
    async copyContractTreeNode(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/copyContractTreeNode',
            method: 'post',
            data: form
        });
    },
    //自定义排序
    async diySortTreeNode(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/diySort',
            method: 'post',
            data: form
        });
    },
    //获取表单数据
    async getBussDataInfo(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-buss-dataInfo',
            method: 'get',
            params: form
        });
    },
    //查询节点状态
    async queryNodeStatus(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/queryNodeStatus',
            method: 'post',
            params: form
        });
    },
    //单个废除
    async abolishOne(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/abolishOne',
            method: 'post',
            params: form
        });
    },
    //隐藏表单
    async showBussTab(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/show-buss-tab',
            method: 'get',
            params: form
        });
    },
    //单表pdf预览
    async getBussPdfInfo(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-buss-pdfInfo',
            method: 'get',
            params: form
        });
    },
    //表单复制
    async copeBussTab(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/cope-buss-tab',
            method: 'get',
            params: form
        });
    },
    //多表预览
    async getBussPdfs(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-buss-pdfs',
            method: 'get',
            params: form
        });
    },
    //获取附件列表
    async getBussFileList(form) {
        return httpApi({
            url: '/api/blade-manager/tablefile/get-buss-fileList',
            method: 'get',
            params: form
        });
    },
    //逻辑删除
    async removeBussFile(form) {
        return httpApi({
            url: '/api/blade-manager/tablefile/remove',
            method: 'post',
            params: form
        });
    },
    //用户端删除复制信息表
    async removeBussTabInfo(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/remove-buss-tabInfo',
            method: 'post',
            params: form
        });
    },
    //复制节点填报数据
    async copyContractNodeSubmitBusinessData(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/copyContractNodeSubmitBusinessData',
            method: 'post',
            data: form
        });
    },
    //输入框查询合同段树
    async searchContractTree(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/searchContractTree',
            method: 'get',
            params: form
        })
    },
}

