import request from "./index";

//封装的请求
export const httpApi = async (obj, message= true) => {
    return new Promise( (resolve) => {
        //发起请求
        request(obj).then((response) => {
            resolve(getResData(response,false));
        }).catch((response) => {
            if (message) {
                window.$message?.error(response?.data?.msg || '未知错误！');
            }
            resolve(getResData(response,true));
        })
    });
}

//处理数据
const getResData = (response, error = false) => {
    return {
        response,
        res: response?.data,
        data: response?.data?.data,
        code: response?.data?.code,
        msg: response?.data?.msg,
        status: response?.status,
        disposition: response?.headers['content-disposition'],
        error: error
    }
}
