import {createApp} from "vue/dist/vue.esm-bundler.js";
import {getTokenHeader} from '~src/api/request/header';
import {ElInput,ElDatePicker,ElUpload,ElInputNumber,ElTimePicker,ElSelect,ElOption,ElRadioGroup,ElRadio,ElCheckbox,ElCheckboxGroup} from 'element-plus'

const components = {ElInput, ElDatePicker, ElUpload, ElInputNumber, ElTimePicker, ElSelect, ElOption, ElRadioGroup, ElRadio, ElCheckbox, ElCheckboxGroup}

//表单渲染
export const HTableForm = ({template, formData, appId, onRight, onDatePicker, uploadFinish}) => {
    const app = createApp({
        data() {
            return {
                getTokenHeader: getTokenHeader(),
                formData,
            }
        },
        template,
        components,
        methods: {
            //鼠标右键事件
            RightClick(a,b,c,d,e,f,event) {
                event.preventDefault();
                const KeyName = event?.target?.getAttribute('keyname') || ''
                if (onRight) {
                    onRight(event, KeyName)
                }
            },
            getInformation() {}, //焦点事件
            //日期框选择事件
            datePickerChange(val,key) {
                this.formData[key] = val
                if (onDatePicker) {
                    onDatePicker(val,key)
                }
            },
            //上传成功事件
            formUploadSuccess(res,key) {
                if (uploadFinish) {
                    uploadFinish(res,key)
                }
            },
            formUploadExceed() {}
        }
    })
    app.mount(appId)
}
