import pinia from "~src/store/init"
import {getRoutes} from '~api/menu';
import tokenData from "./modules/token";
import {useAppStore} from "~src/store/index";
import { getStoreData, setStoreData }  from '~src/utils/storage'
import { getArrValue, getObjNullValue, ArrToOneObj } from "vue-utils-plus"

//变量初始化
const userStore = useAppStore(pinia)

//获取路由菜单
export const getRouterData = async () => {
    const route = getObjNullValue(getStoreData('route'))
    if (!route) {
        //请求接口，获取路由数据
        const {error, data} = await getRoutes()
        if (error) return []
        const resData = getArrValue(data)
        //数据转换
        let routesObj = {}, routesArr = []
        await ArrToOneObj(resData, 'code', routesObj, routesArr)
        const routes = [...tokenData, ...routesArr] //合并
        //数据缓存
        userStore.setMenus(resData)
        setStoreData('route', routesObj)
        setStoreData('routes', routes)
        return {route: routesObj, routes}
    } else {
        //加载本地缓存路由
        const routes = getArrValue(getStoreData('routes'))
        return {route, routes}
    }
}
